[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Problem with modutils in potato

On Fri, Apr 28, 2000 at 03:12:25PM +0200, Sabino Maggi wrote:
> Yesterday I have updated modutils from 2.3.9-3.1 to 2.3.11-1 (in potato),
> using dselect and the automatic upgrade selections.
> Today, I have noticed that /sbin/modprobe and all the other executables
> contained in the modutils package for slink (e.g., lsmod, insmod,
> modinfo) have disappeared from my system. Only the 4 executables contained
> in modutils_2.3.11-1.deb (genksyms, depmod, kerneld, update-modules)
> remain. This is obviously a big trouble.
> -- Is this a bug in modutils_2.3.11-1, or might have I done something
> wrong?  
> -- I want to understand the upgrade mechanism. When one does a package
> update and the updated package does not contain some files which were
> previously present in the older package (as in this case), are these files
> first removed and then the newer files substituted to the older? 
> I think so, otherwise all the file dependencies would break, I just want
> to be sure. 

No, the package is broken. I am going to have it fixed soon, and post a
URL for it here.


/  Ben Collins  --  ...on that fantastic voyage...  --  Debian GNU/Linux   \
`  bcollins@debian.org  --  bcollins@openldap.org  --  bcollins@linux.com  '

Reply to: